summaryrefslogtreecommitdiffstats
path: root/scripts/zpios-test
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2010-08-26 11:58:00 -0700
committerBrian Behlendorf <[email protected]>2010-08-31 13:42:01 -0700
commit302ef1517e5769cbe6a12d94c89f44a90721bfd4 (patch)
treedeb845a6a474955769d58062ea39cc19334cbcff /scripts/zpios-test
parent9b020fd97a3dc449a94baec028b30b1fe3c2d5bc (diff)
Add linux zpios support
Linux kernel implementation of PIOS test app. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts/zpios-test')
-rwxr-xr-xscripts/zpios-test/16th-8192rc-4rs-1cs-4off.sh65
-rwxr-xr-xscripts/zpios-test/1th-16rc-4rs-1cs-4off.sh66
-rwxr-xr-xscripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh65
-rwxr-xr-xscripts/zpios-test/256th-65536rc-4rs-1cs-4off.sh65
-rwxr-xr-xscripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh65
l---------scripts/zpios-test/large-thread-survey.sh1
l---------scripts/zpios-test/large.sh1
l---------scripts/zpios-test/medium.sh1
l---------scripts/zpios-test/small.sh1
l---------scripts/zpios-test/tiny.sh1
10 files changed, 331 insertions, 0 deletions
diff --git a/scripts/zpios-test/16th-8192rc-4rs-1cs-4off.sh b/scripts/zpios-test/16th-8192rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..cbd9c697a
--- /dev/null
+++ b/scripts/zpios-test/16th-8192rc-4rs-1cs-4off.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_CONFIG} \
+ --threadcount=16 \
+ --regioncount=8192 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}
diff --git a/scripts/zpios-test/1th-16rc-4rs-1cs-4off.sh b/scripts/zpios-test/1th-16rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..cd3c50b77
--- /dev/null
+++ b/scripts/zpios-test/1th-16rc-4rs-1cs-4off.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_CONFIG} \
+ --threadcount=1 \
+ --regioncount=16 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}
diff --git a/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh b/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..743e97b64
--- /dev/null
+++ b/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_CONFIG} \
+ --threadcount=1,2,4,8,16,32,64,128,256 \
+ --regioncount=65536 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}
diff --git a/scripts/zpios-test/256th-65536rc-4rs-1cs-4off.sh b/scripts/zpios-test/256th-65536rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..92a3b77b4
--- /dev/null
+++ b/scripts/zpios-test/256th-65536rc-4rs-1cs-4off.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_CONFIG} \
+ --threadcount=256 \
+ --regioncount=65536 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}
diff --git a/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh b/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..0db952cd6
--- /dev/null
+++ b/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_CONFIG} \
+ --threadcount=4 \
+ --regioncount=1024 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}
diff --git a/scripts/zpios-test/large-thread-survey.sh b/scripts/zpios-test/large-thread-survey.sh
new file mode 120000
index 000000000..90b6e3c47
--- /dev/null
+++ b/scripts/zpios-test/large-thread-survey.sh
@@ -0,0 +1 @@
+1x256th-65536rc-4rs-1cs-4off.sh \ No newline at end of file
diff --git a/scripts/zpios-test/large.sh b/scripts/zpios-test/large.sh
new file mode 120000
index 000000000..b8e22bf54
--- /dev/null
+++ b/scripts/zpios-test/large.sh
@@ -0,0 +1 @@
+256th-65536rc-4rs-1cs-4off.sh \ No newline at end of file
diff --git a/scripts/zpios-test/medium.sh b/scripts/zpios-test/medium.sh
new file mode 120000
index 000000000..d81027b73
--- /dev/null
+++ b/scripts/zpios-test/medium.sh
@@ -0,0 +1 @@
+16th-8192rc-4rs-1cs-4off.sh \ No newline at end of file
diff --git a/scripts/zpios-test/small.sh b/scripts/zpios-test/small.sh
new file mode 120000
index 000000000..cbf03b5ce
--- /dev/null
+++ b/scripts/zpios-test/small.sh
@@ -0,0 +1 @@
+4th-1024rc-4rs-1cs-4off.sh \ No newline at end of file
diff --git a/scripts/zpios-test/tiny.sh b/scripts/zpios-test/tiny.sh
new file mode 120000
index 000000000..ba8b7cd0c
--- /dev/null
+++ b/scripts/zpios-test/tiny.sh
@@ -0,0 +1 @@
+1th-16rc-4rs-1cs-4off.sh \ No newline at end of file